All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
poseParameters.hpp File Reference
`#include <map>`
`#include <openpose/core/common.hpp>`
`#include <openpose/pose/enumClasses.hpp>`

Go to the source code of this file.

## Namespaces

| op

## Functions

OP_API const std::map < unsigned int, std::string > & | op::getPoseBodyPartMapping (const PoseModel poseModel)
OP_API const std::string & | op::getPoseProtoTxt (const PoseModel poseModel)
OP_API const std::string & | op::getPoseTrainedModel (const PoseModel poseModel)
OP_API unsigned int | op::getPoseNumberBodyParts (const PoseModel poseModel)
OP_API const std::vector < unsigned int > & | op::getPosePartPairs (const PoseModel poseModel)
OP_API const std::vector < unsigned int > & | op::getPoseMapIndex (const PoseModel poseModel)
OP_API unsigned int | op::getPoseMaxPeaks (const PoseModel poseModel)
OP_API float | op::getPoseNetDecreaseFactor (const PoseModel poseModel)
OP_API unsigned int | op::poseBodyPartMapStringToKey (const PoseModel poseModel, const std::string &string)
OP_API unsigned int | op::poseBodyPartMapStringToKey (const PoseModel poseModel, const std::vector< std::string > &strings)
OP_API float | op::getPoseDefaultNmsThreshold (const PoseModel poseModel)
OP_API float | op::getPoseDefaultConnectInterMinAboveThreshold (const PoseModel poseModel)
OP_API float | op::getPoseDefaultConnectInterThreshold (const PoseModel poseModel)
OP_API unsigned int | op::getPoseDefaultMinSubsetCnt (const PoseModel poseModel)
OP_API float | op::getPoseDefaultConnectMinSubsetScore (const PoseModel poseModel)

## Variables

const auto | op::POSE_MAX_PEOPLE = 127u
const bool | op::COCO_CHALLENGE = false